### Method

# Gtk EventController set_static_name

since: 4.8

#### Declaration [src]

    void
    gtk_event_controller_set_static_name (
      GtkEventController* controller,
      const char* name
    )

#### Description [src]

Sets a name on the controller that can be used for debugging.

Available since: 4.8

#### Parameters

`name`

  Type: `const char*`

  A name for `controller`, must be a static string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.